### Method

# EDataServer SourceMailIdentity get_signature_uid

since: 3.6

#### Declaration [src]

    const gchar*
    e_source_mail_identity_get_signature_uid (
      ESourceMailIdentity* extension
    )

#### Description [src]

Returns the `ESource:uid` of an `ESource` describing a mail signature.

If the user does not want to use a signature for this identity, the convention is to set the `ESourceMailIdentity:signature-uid` property to “none”.

Available since: 3.6

Gets property | `EDataServer.SourceMailIdentity:signature-uid`

#### Return value

Type: `const gchar*`

The sender’s signature ID, or “none”.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.